KStars Revision History

To produce log below, use:

$ git log --date=short --pretty=format:"%h %ad %<(20)%an %<(150,trunc)%s"

3.7.7

5b0460403 2025-05-31 Jasem Mutlaq         More logging                                                                                                                                          
8707363e6 2025-05-30 Jasem Mutlaq         Add more logging                                                                                                                                      
af8f6e2a2 2025-05-30 Jasem Mutlaq         Reconnect if token expires                                                                                                                            
513f89d5f 2025-05-28 Jasem Mutlaq         Fix issue with over syncing generic devices. Fix issue #238                                                                                           
8efc2c112 2025-05-27 Jasem Mutlaq         Do not update mount coordinates when parked                                                                                                           
d7575b7d6 2025-05-26 Jasem Mutlaq         Fix issue where ROI statistics were not calculated after a new image is captured. Also, make the ROI statistic visible all the time instead of just ..
5ba8ac95a 2025-05-22 Jasem Mutlaq         1. Remove last remnant of INDI Hub 2. Some devices take time to define their properties after connection is established, and therefore we need to wa..
9f9461271 2025-05-22 Jasem Mutlaq         Remove any traces of INDI hub as the project is dead                                                                                                  
6dc3ede48 2025-05-13 Jasem Mutlaq         Initial flatpak support                                                                                                                               
b88e8184e 2025-05-22 Jasem Mutlaq         Fix custom INDI Web Manager path                                                                                                                      
1baeb7b29 2025-05-22 Jasem Mutlaq         Project against KStars crash on shutdown when INDI is online.                                                                                         
9827c0852 2025-05-21 Hy Murveit           Remember window geometry for kstars, ekos, indi and fits windows                                                                                      
5a45dee9b 2025-05-20 Jasem Mutlaq         Add elevation to the location payload                                                                                                                 
cdf683e29 2025-05-20 Hy Murveit           Fix bad PAA algorithm for computing Az/Alt adjustments                                                                                                
cb6cb2abe 2025-05-18 Eric Dejouhanet      fix(phd2): unpause before stop when aborting.                                                                                                         
b10e4e3f4 2025-05-17 Eric Dejouhanet      fix(phd2): reset connection state when socket is found vanished.                                                                                      
190e2b23d 2025-05-17 Eric Dejouhanet      fix(phd2): fix missing delete on socket state timer.                                                                                                  
1c7e05041 2025-05-17 Eric Dejouhanet      fix(phd2): read server state periodically.                                                                                                            
a42944026 2025-05-17 Eric Dejouhanet      fix(phd2): resuming when paused instead of starting.                                                                                                  
5152cd7eb 2025-05-19 Jasem Mutlaq         KStars inside flatpak apparently cannot access machine id from QSysInfo so I added a KSUtil function to read it directly from system                  
ba56fdda3 2025-05-17 Jasem Mutlaq         Add more logging to effective focal length calculations                                                                                               
3bb120dc6 2025-05-17 Sebastian Krauthauser Add SX Cameras to Exposure Calculator                                                                                                                 
dfe3ce181 2025-05-17 Wolfgang Reissenberger Bugfix creating a darks library using camera tabs                                                                                                     
053d4fb99 2025-05-15 Salman Naheed        Feature/fix astrometry file download                                                                                                                  
d5dfe3240 2025-05-15 Sebastian Krauthauser Updated Exposure Calculator Logic                                                                                                                     
70035ca19 2025-05-15 Sebastian Krauthauser Adding missing cameras from Exposure Calculator list                                                                                                  
ac4ba685e 2025-05-14 Hy Murveit           Fix bug in repeat all sequences, rename widget                                                                                                        
9149cb14d 2025-05-14 Jasem Mutlaq         Add a configurable delay period whe detecting WEATHER_ALERT before starting the actual soft shutdown procedure.                                       
b14471a0d 2025-05-13 Hy Murveit           UI tweak--hidden columns were unhidden on date change                                                                                                 
57413665a 2025-05-12 Hy Murveit           fix great-circle bug                                                                                                                                  
6cfee920c 2025-05-11 Hy Murveit           Update scheduler empty plan messaging, include job completion reason.                                                                                 
45d696c4a 2025-05-11 Jasem Mutlaq         Remove duplicate include                                                                                                                              
112d61819 2025-05-10 Jasem Mutlaq         Fix crashes in focus module and scheduler process. Fix headers for Qt6                                                                                
e734ed172 2025-05-08 Jasem Mutlaq         Fix reconnect issue when token is invalid.                                                                                                            
c6b8e0e50 2025-05-05 Jasem Mutlaq         Reconnect signals after reconnection                                                                                                                  
d2464daf5 2025-05-05 Jasem Mutlaq         Fix issue when dome is reconnected. When dome is disconnected, all controls are disabled but there were not enabled when dome is connected again. Th..
4ad3e3777 2025-05-04 John Evans           Focus Param Fix                                                                                                                                       
89d6f6362 2025-05-01 Hy Murveit           Add an up/down sort-order arrow to the imaging planner table header                                                                                   
4c100fa72 2025-05-01 Hy Murveit           Change misleading time menu wording when real-time clock in use.                                                                                      
14d1dcde7 2025-05-01 Jasem Mutlaq         Align mount widget in center                                                                                                                          
93f6381cb 2025-04-28 Hy Murveit           Add developer option to not sync clock to real time when Ekos starts                                                                                  
8d9fe3bea 2025-04-28 Hy Murveit           Fix bug in immediate restart                                                                                                                          
edc7415ca 2025-04-25 Wolfgang Reissenberger Bugfix refactoring deprecated null check                                                                                                              
7b825ff76 2025-04-24 Ed Lee               Fixes for extension discovery and conf testing                                                                                                        
19e1c3666 2025-04-23 Hy Murveit           Fix ugly formatting in opsekos                                                                                                                        
3da5af56e 2025-04-23 Wolfgang Reissenberger Show guiding image for PHD2                                                                                                                           
033706e16 2025-04-22 Hy Murveit           Allow scheduler altitude graph to show daytime jobs if some are scheduled                                                                             
0369623f5 2025-04-22 Hy Murveit           Create a new guider timer dedicated to dither settling.                                                                                               
ff7857747 2025-04-22 Eric Dejouhanet      chore(ci): reduce compute resources.                                                                                                                  
90ac60da3 2025-04-21 Yuri Chornoivan      Fix minor typos                                                                                                                                       
d0b8578c0 2025-04-20 Hy Murveit           New Linear and Hysteresis Guiders                                                                                                                     
8d6c2cacd 2025-04-19 Hy Murveit           ImagingPlanner bugfix on ok/cancel popup                                                                                                              
ef11946c5 2025-04-18 Jasem Mutlaq         Fix build on Windows                                                                                                                                  
a0f1fa382 2025-04-18 Jasem Mutlaq         Fix scheduler clear and improve the manual button                                                                                                     
21b731bca 2025-04-16 Wolfgang Reissenberger Bug fixes for capture counts on the manager tab                                                                                                       
acd47bb66 2025-04-15 Eric Dejouhanet      CI/CD Documentation                                                                                                                                   
5c5a42a0f 2025-04-15 Hy Murveit           Changing the dreaded Empty Plan error message                                                                                                         
279edc246 2025-04-15 Ed Lee               Added pre & post driver shutdown scripts                                                                                                              
172079c57 2025-04-14 Hy Murveit           Fix analyze bug computing guide rms error                                                                                                             
2c7e2dd3d 2025-04-11 Hy Murveit           Remove unnecessary multiplier for guide RMS error and improve the analyze guide rms too                                                               
d1acb4973 2025-04-12 Wolfgang Reissenberger Capture preparation logging                                                                                                                           
917ca1a13 2025-04-10 Robert Lancaster     Fixing a DBus issue and 2 Qt6 issues                                                                                                                  
441b9a91c 2025-04-10 Jasem Mutlaq         Fix compile error on Qt6                                                                                                                              
14e98a6c5 2025-04-01 Alessandro Astone    Fix access by key on QJsonValue                                                                                                                       
47d9fe5b2 2025-04-08 Hy Murveit           Tickle the scheduler altitude graph every hour during long scheduler sleeps                                                                           
385db96ec 2025-04-07 Jasem Mutlaq         Migrate INDI Properties usage to use moderm INDI properties.                                                                                          
b76d1f6ff 2025-03-19 Hy Murveit           Add skymap command ctrl-alt-shift mouse-drag to rotate the FOV symbols and add degrees display on the rect FOV.                                       
45f8eaa15 2025-03-15 Hy Murveit           ImagingPlanner tool for framing images                                                                                                                
933b43b70 2025-04-04 Hy Murveit           Add Ekos help--links to new doc site                                                                                                                  
6e9a9e835 2025-04-04 Eric Dejouhanet      fix: update custom build CI.                                                                                                                          
2f77f07ab 2025-04-04 Eric Dejouhanet      fix: update index sources in custom build image.                                                                                                      
4dfae9cd8 2025-04-04 Eric Dejouhanet      fix: update index sources in custom build image.                                                                                                      
9e3238253 2025-04-03 Jasem Mutlaq         Protect against crash when accessing filter manager                                                                                                   
c1f76f84b 2025-04-02 Jasem Mutlaq         Use stable ppa                                                                                                                                        
ff8f3f36c 2025-04-02 Jasem Mutlaq         Use stable PPA                                                                                                                                        
1811b20e1 2025-04-02 Jasem Mutlaq         KStars v3.7.7 develpment cycle                                                                                                                        
78a087922 2025-04-02 Jasem Mutlaq         Fix rotate icon                                                                                                                                       
fd8e54166 2025-03-31 Hy Murveit           Update doc links for Imaging Planner and Analyze                                                                                                      
6dda93b8b 2025-03-31 Jasem Mutlaq         Fix build failure on launchpad                                                                                                                        
498e86dbc 2025-03-31 Jasem Mutlaq         Fix issue with repeated MF success on align failure                                                                                                   
f9839263a 2025-03-31 Jasem Mutlaq         Fix issue where the wait time for local or remote drivers is not sufficient due to pre and post delays. Now we account for them to prevent premature..
dadd611d1 2025-03-31 Jasem Mutlaq         Add back drivers removed by mistake                                                                                                                   
c244bca34 2025-03-31 Wolfgang Reissenberger Set correct limits when selecting optical train                                                                                                       

3.7.6

b7839ee0b 2025-03-30 Jasem Mutlaq         Fix issue where remote drivers do not start immediately due to scripts with Pre and Post conditions                                                   
1068c3b50 2025-03-28 Test User            Possible solution to the camera getting stuck on 99x99 resolution as reported by some users.                                                          
f3d251ccc 2025-03-26 Wolfgang Reissenberger Remember optical train of first tab                                                                                                                   
3f212322c 2025-03-24 Jasem Mutlaq         Make scheduler check universal and not job specific.                                                                                                  
be5b53be7 2025-03-21 Hy Murveit           Clean up loading of default imaging planner catalog                                                                                                   
df0bd6bc5 2025-03-21 Jasem Mutlaq         Fix compile error                                                                                                                                     
d71ce10f6 2025-03-21 Jasem Mutlaq         Fix issue with setting remote directory on Windows                                                                                                    
6dc5f6dd0 2025-03-21 Jasem Mutlaq         Use KSNotification when possible                                                                                                                      
1b7109585 2025-03-21 Jasem Mutlaq         Set initial focuser position in filter manager if we have one.                                                                                        
284927893 2025-03-21 Jasem Mutlaq         Add observatory notifcations for dome and dust cap parking and unparking                                                                              
0a0d123d8 2025-03-21 Yuri Chornoivan      Fix minor typo                                                                                                                                        
aca732d1d 2025-03-20 Jasem Mutlaq         show notification on critical error in capturedeviceadaptor                                                                                           
26adae858 2025-03-19 Jasem Mutlaq         Possible fix for PHD2 RMS issue                                                                                                                       
426c18319 2025-03-18 Jasem Mutlaq         Add qt5 natvis for better display of QString and other Qt containers during debug                                                                     
5bde74ee8 2025-03-17 Toni Schriber        Use PHD2-scheme (RA/DEC) for graph of guide mount drift (Addendum to  "Reuse calibration after rotation: Part 1)                                      
5f177eff9 2025-03-17 Klein Jérémie        Feat() : Add logs for dust cap in the capture sequence                                                                                                
93f95dfbf 2025-03-14 Hy Murveit           Add tooltips to scheduler plot                                                                                                                        
56aea824c 2025-03-14 Jasem Mutlaq         Add extra protections to prevent crash in setFilterPosition                                                                                           
2acebb95c 2025-03-10 Ed Lee               Init weather device selection                                                                                                                         
a5631f0cb 2025-03-09 Hy Murveit           Significant speedups for greedy simulation. Move to 72 hours of sim. Fix bugs...                                                                      
7f5013c9a 2025-03-06 Hy Murveit           Do not update the stored simulation with a partial simulation                                                                                         
d96cc1730 2025-03-07 Hy Murveit           Add altitude graph to scheduler table using a QSplitter                                                                                               
4dfeebe69 2025-03-06 Jasem Mutlaq         Remove obsolete code                                                                                                                                  
11cc23ba3 2025-03-05 Jasem Mutlaq         Add openCV dependecies to support contrast based focusing                                                                                             
e83602310 2025-03-04 Hy Murveit           ImagingPlanner--Allow csv files to remove out-of-date DSO catalogs.                                                                                   
43d45dcbd 2025-03-04 Jasem Mutlaq         Add support to Go and Rotate in Framing Assistant. This would command fast go to target and then followed by rotation to match position angle indica..
aa222aa04 2025-03-03 Hy Murveit           Add LoadDSOCatalog command to ImagingPlanner files                                                                                                    
cc035eec4 2025-03-03 Hy Murveit           Add a new mode for scheduler altitude graphs, and some debugging in greedyscheduler                                                                   
f415807b2 2025-02-28 Hy Murveit           Use all of tonight's sessions in scheduler job plot.                                                                                                  
1deb67f1e 2025-02-28 John Evans           Fix Scheduler continues after Focus Fail                                                                                                              
f9174efe1 2025-02-27 Hy Murveit           Imaging Planner: generalizes the ngc/ic search button                                                                                                 
28e798abc 2025-02-28 Wolfgang Reissenberger Increase flexibility of coordinates in the scheduler                                                                                                  
596aa1415 2025-02-27 Wolfgang Reissenberger Refactoring SequenceJob handling from raw pointers to QSharedPointer                                                                                  
47e558261 2025-02-25 Hy Murveit           Imaging planner--add catalog development tools, fix web search issues                                                                                 
f88868a1c 2025-02-25 John Evans           Update Simbad taxonomy (based on Simbad Update)                                                                                                       
3a5cef590 2025-02-24 Wolfgang Reissenberger CaptureDeviceAdaptor used as QSharedPointer to avoid crashes                                                                                          
400b2396f 2025-02-20 John Evans           Allow capture and framing when no focuser connected                                                                                                   
4a918d5ce 2025-02-19 Wolfgang Reissenberger Bugfix unparking for flat capturing with wall source                                                                                                  
5322fa8dd 2025-02-18 John Evans           Autofocus Optimisation                                                                                                                                
274d301c2 2025-02-18 Scarlett Moore       snapcraft: Move to core24/qt6                                                                                                                         
13d613f31 2025-02-18 Wolfgang Reissenberger Focus speedup with shift and ctrl                                                                                                                     
a12d28298 2025-02-17 Wolfgang Reissenberger Moon altitude as schedule constraint                                                                                                                  
e62e0f200 2025-02-15 Jasem Mutlaq         Add MacOS launch                                                                                                                                      
650baf4ff 2025-02-12 Wolfgang Reissenberger Bugfix for planets in the observinglist                                                                                                               
065f23467 2025-02-12 Wolfgang Reissenberger Bug fix for Qt6 and new DBus interface for focusing                                                                                                   
2738cabc6 2025-02-11 Jasem Mutlaq         Fix issue where profile settings were not populated correctly in the editor due to the recent change in using manufacturers for all types.            
d86ceb3c2 2025-02-08 Wolfgang Reissenberger DBus communication with FocusModule corrected                                                                                                         
bb9e62216 2025-02-08 Jasem Mutlaq         Starting 3.7.6 development cycle                                                                                                                      
37633e332 2025-02-08 Hy Murveit           PAA should use refracted altitudes                                                                                                                    
c2172b4a8 2025-02-02 Salman Naheed        Update focusmodule.h                                                                                                                                  
65922261a 2025-02-05 John Evans           R2 Reset Retries Bug                                                                                                                                  
9fd5ed74a 2025-02-05 Jasem Mutlaq         Improve index files download by finding first writable directory                                                                                      
43ed45ef4 2025-02-04 Wolfgang Reissenberger Enable train edit button when stopping a focus sequence                                                                                               
7c3ce1d89 2025-02-01 Hy Murveit           ImagingPlanner--delay call to loadInitialCatalog   

3.7.5

c255f61c9 2025-01-31 Hy Murveit           Fix bug in dms::deltaAngle()                                                                                                                          
7c1bb9f2b 2025-01-29 Hy Murveit           Fix calibration plot dec arrow                                                                                                                        
ea181c91b 2025-01-28 Hy Murveit           Fix issue where old calibrations were broken                                                                                                          
b5b856f55 2025-01-28 Hy Murveit           Change Options::CaptureOperationsTimeout() to 5 minutes                                                                                               
e634c8cc4 2025-01-27 Jasem Mutlaq         Use manufacturers for all equipment types in the Profile Editor. This should fix multiple issues including seamless switching between Local and Remo..
65c97f1ba 2025-01-26 Hy Murveit           Fix English for guiding option                                                                                                                        
ba5a83da3 2025-01-26 Jasem Mutlaq         Add generic DBus methods to set and get any KStars option defined in kstars.kcfg                                                                      
4cc451509 2025-01-25 Jasem Mutlaq         Account for traveledAngle wrap around                                                                                                                 
89d7e111b 2025-01-24 Jasem Mutlaq         If ROI is null or invalid, use maximum available resolution.                                                                                          
21f00cfe8 2025-01-24 Jasem Mutlaq         Use Mutex to protect resources accessed from multiple threads to prevent crashes.                                                                     
b0e021333 2025-01-24 Toni Schriber        Prevent overshooting cosine in calculation of CachingDms                                                                                              
dc469f532 2025-01-22 Jasem Mutlaq         Remove obsolete ACTIVE_DEVICES updates now that OpticalTrainManager takes care of them.                                                               
a4cb058a7 2025-01-22 Jasem Mutlaq         Fix repeated signals getting triggered before we are not blocking them when clearing and filling combo boxes.                                         
a56be5fb2 2025-01-22 Wolfgang Reissenberger Bugfix for flats with wall position                                                                                                                   
de4f9e9f5 2025-01-21 Hy Murveit           Add mandatory settle to PAA                                                                                                                           
a705515b8 2025-01-20 Jasem Mutlaq         Fix a couple more issues with scheduler options. Radio buttons need to be saved when updated and need to debounce saving                              
ec6e79877 2025-01-20 Jasem Mutlaq         Fix issue where profile changes is not communicated to process state                                                                                  
79b42c556 2025-01-20 Jasem Mutlaq         Add SchedulerSleeping event                                                                                                                           
ea7846f5f 2025-01-19 Jasem Mutlaq         Path if relative to home directory for filedata                                                                                                       
faa0eb899 2025-01-19 Jasem Mutlaq         Fix bug where we use the wrong unit type, should use options only                                                                                     
ef5a1f004 2025-01-19 Jasem Mutlaq         Improve scheduler loading to handle both scenarios when it is data only or data+url                                                                   
d62c63f42 2025-01-19 Jasem Mutlaq         Add error message in case either camera or guider is not online when calibration is started.                                                          
a29c4be19 2025-01-19 Jasem Mutlaq         Add option to enable startup script executation regardless of Ekos status. Fix all scheduler settings to use kcfg_ prefix                             
5aa8f19d8 2025-01-18 Ben Cooksley         Remove CMake trace/debug logs from CI runs.                                                                                                           
4ec72235a 2025-01-16 Toni Schriber        Reuse calibration after rotation: Part 1                                                                                                              
8b0d74fbe 2025-01-13 Jasem Mutlaq         Add support for drawing dome slit on the sky map                                                                                                      
9fea66ff0 2025-01-12 Jasem Mutlaq         If preparing state is already completed or none, then stop timer as well.                                                                             
d11d2cad4 2025-01-12 Jasem Mutlaq         Handle timeouts for various capture operations to avoid getting stuck without aborting capture                                                        
ac3460528 2025-01-13 Jasem Mutlaq         Fix analyze analyzeAlternativeDirectoryName issue. Fix QCDebug includes.                                                                              
7e568b371 2025-01-13 Jasem Mutlaq         use qCDebug instead of generic qDebug                                                                                                                 
475099bb7 2025-01-13 Jasem Mutlaq         Fix warning due to incoccrect option name                                                                                                             
c6d984c9e 2025-01-13 Jasem Mutlaq         Correct config name                                                                                                                                   
7e8abfad8 2025-01-13 Jasem Mutlaq         Filter manager is null by this stage, do not connect.                                                                                                 
9537156ed 2025-01-13 Jasem Mutlaq         Fix two more places where we used KLazyLocalizedString                                                                                                
ccfd5d78c 2025-01-13 Jasem Mutlaq         Make it compile on KDE Frameworks prior to 5.89                                                                                                       
0a646c3bb 2025-01-11 Jasem Mutlaq         Simplify checking for reversed and completed conditions when processing mount rotation.                                                               
ca7a3249f 2025-01-11 Jasem Mutlaq         Fix typo and better handling for dome. Do not prevent handling of mount status update even if dome is in motion. We only care about capturing which ..
17a38e9eb 2024-11-12 Akarsh Simha         Fix right-click popup menu on deep stars                                                                                                              
998607c33 2025-01-10 Jasem Mutlaq         Fix Mosaic Assistant setting focus in scheduler when it should not.                                                                                   
2d8c03830 2025-01-10 Jasem Mutlaq         Use better name                                                                                                                                       
791182579 2025-01-11 Wolfgang Reissenberger Dithering disabling per job                                                                                                                           
c4db9133e 2025-01-07 György Balló         Set window icon                                                                                                                                       
58a13e50c 2025-01-09 Jasem Mutlaq         Need to use imageData UUID when sending view                                                                                                          
13587d94e 2025-01-08 Jasem Mutlaq         Fix video subframing                                                                                                                                  
a51e6d550 2025-01-08 Jasem Mutlaq         Add more protections when sending pending properties                                                                                                  
3ab677382 2025-01-07 Jasem Mutlaq         For cameras that support streaming exposure setting, we should ROI the camera frame, not just the streaming frame. This should result significantly ..
9b67e9a12 2025-01-06 John Evans           focusadvisor code warning fix                                                                                                                         
c29ccb9e3 2025-01-05 Oliver Kellogg       kstars/kstars.kcfg (FitsCatObjShowNames) : fix typo in `FITS Viewer`.                                                                                 
5c23230f2 2025-01-05 Wolfgang Reissenberger Clear active filter if Camera has no Filter Wheel                                                                                                     
3179e4ba8 2025-01-05 Jasem Mutlaq         Add safety checks to prevent over travel for mounts during PAA                                                                                        
075d4cece 2025-01-04 Jasem Mutlaq         Do not use RAWPrefix when creating mosaic sequences. Add warning when loading a sequence file with RAWPrefix as it is no longer used and been replac..
c1fcce5f5 2025-01-01 John Evans           Prevent Aberration Inspector from using curvefit Quadratic                                                                                            
a73f0e8dc 2025-01-01 Jasem Mutlaq         Revert part of ea004a10af9fab962db336f07f82cf5d3f49d9be as it causes a regression with WCS data in the FITS Viewer                                    
1344dfb48 2025-01-01 Jasem Mutlaq         Fix crash when paths are empty                                                                                                                        
25d7ea35e 2025-01-01 Hy Murveit           Make imaging planner more stable--disable UI during catalog loads                                                                                     
aed4e55a1 2024-12-31 John Evans           Allow framing on all focus measures                                                                                                                   
741fde9ae 2024-12-29 John Evans           Enable Focuser Controls when Camera Disconnected                                                                                                      
a28263631 2024-12-29 Hy Murveit           Add warning when searching the internet in find dialog                                                                                                
32efece55 2024-12-29 Hy Murveit           Fix bug with pierside placeholder when it is used for a directory                                                                                     
5a594088d 2024-12-28 Jasem Mutlaq         Use setChecked insteasd of click for radio and check boxes to fix some corner issues reported by Toni and John                                        
5fd8dd393 2024-12-27 Hy Murveit           fix sequence editor crash                                                                                                                             
04c1a51c6 2024-12-28 Wolfgang Reissenberger Bugfix Focus Options                                                                                                                                  
1c15c8c7e 2024-12-27 Wolfgang Reissenberger Remote directory default handling                                                                                                                     
ef9b92955 2024-12-25 Jasem Mutlaq         Do not load image buffer when not required                                                                                                            
3aa36ce74 2024-12-25 Jasem Mutlaq         Add recommended extension                                                                                                                             
ab81b37a0 2024-12-25 Jasem Mutlaq         Add vscode files to help prospective developers in setting up KStars under VS Code                                                                    
a1d62ed37 2024-12-24 Jasem Mutlaq         Remove extranous options that disables KConfigDialog functions                                                                                        
938e91306 2024-12-24 Jasem Mutlaq         Attempt at fix capture settings in Ekos                                                                                                               
6565e4862 2024-12-17 Hy Murveit           Add START_AT scheduler test                                                                                                                           
53c0b4183 2024-12-15 Hy Murveit           Fix abell planetary nebula lookup                                                                                                                     
3753e1a8a 2024-12-14 Wolfgang Reissenberger Capture Video Sequences                                                                                                                               
270fc2c50 2024-12-12 Jasem Mutlaq         Fix crash on closing KStars caused by this line for some reason                                                                                       
d44fb7abc 2024-12-12 Jasem Mutlaq         If focuser is not ready, we must immediately resolve syncAbsoluteFocusPosition otherwise the capture pipeline will get stuck in the Preparing stage   
a8ccbecd6 2024-12-10 Jasem Mutlaq         Fix crash with what is interesting tool due to incorrect version import                                                                               
7acd3d7c5 2024-12-09 Hy Murveit           Try to solidify ImagingPlanner                                                                                                                        
b83f83a6f 2024-12-09 Jasem Mutlaq         Fix language issues by using KLazyLocalizedString since the application context is not set yet                                                        
09fde1264 2024-12-08 Wolfgang Reissenberger Do not modify start button when suspended                                                                                                             
b1af4a0d0 2024-11-29 Hy Murveit           PAA: new adjustment estimate                                                                                                                          
5d5f1c132 2024-12-08 Jasem Mutlaq         Use a dedicated timer to prevent QEventDispatcherWin32::registerTimer: Failed to create a timer issue reported on Windows                             
361815d24 2024-12-08 Jasem Mutlaq         Starting KStars v3.7.5 development cycle                                                                                                              
868f8c3eb 2024-12-08 Jasem Mutlaq         FilterManager should emit failed when the filter change operation fails or times out with a hard-defined value of 30 seconds. Fixed issues with filt..
058cd5ea1 2024-12-07 Jasem Mutlaq         Fix Dark library remove all                                                                                                                           

3.7.4 (PLANNER):

276510114 2024-12-03 Jasem Mutlaq         INDI drivers sync
f4a0010df 2024-12-01 Hy Murveit           stop calling imaging planner experimental
e4d0e9b76 2024-12-01 Jasem Mutlaq         Use KDE CDN for HotNewStuff
dc7ed6855 2024-12-01 Jasem Mutlaq         Use correct placeholder
51258a5f7 2024-11-26 Hy Murveit           Search wider for PAA adjustments
72eb0c0d2 2024-11-27 Hy Murveit           fix statusbar bug
5d8461214 2024-11-26 Hy Murveit           Fix bug where flags are not placed properly
20a9cd265 2024-11-24 Jasem Mutlaq         If we have a dome, then it must be tracking before running *any* post flip meridian action
e2e8d6cfb 2024-11-24 Jasem Mutlaq         Update URL for astrometry.net
4eb2d76fe 2024-11-21 Hy Murveit           Set default name for imported artificial horizon
ec6f6fb75 2024-11-19 Hy Murveit           Artificial Horizon: Enable import button from the start
f44c3aba2 2024-11-18 Hy Murveit           Export and import artificial horizons.
51fb12220 2024-11-15 Hy Murveit           Update ImagingPlanner docbook
3d25a98bc 2024-11-15 Jasem Mutlaq         Send download progress to Ekoslive
7df9ed51e 2024-11-15 Hy Murveit           ImagingPlanner: fix mac icons, select first, mac tool window, center in menu, resize fix
ba7fce1bf 2024-11-15 Hy Murveit           Fix the download button in the kstars startup wizard
e3a0a65b8 2024-11-12 Hy Murveit           ImagingPlanner: add options menu
9d9a1236e 2024-11-12 Hy Murveit           Update ImagingPlanner UI, fix sharpless name resolver, update UI issues, fix...
6a0bb67e5 2024-11-12 Wolfgang Reissenberger Do not use findUnusedOpticalTrain() on main tabs
c8ce46ea7 2024-11-10 Hy Murveit           ImagingPlanner: UI fixes, recompute altitude on date change, allow absolute image paths
ff403f3de 2024-11-10 Yuri Chornoivan      Fix minor typos
e2abdf49d 2024-11-10 Jasem Mutlaq         Revert "Make SkyMesh::index(SkyPoint, radius) behave just like other ::index methods"
347d74d5f 2024-11-10 Jasem Mutlaq         Use simpler solution to unnamed objects
c6a4477a9 2024-11-10 Jasem Mutlaq         Remove unnecesary warning
5e6092143 2024-11-09 Robert Lancaster     Fixing two build errors recently introduced for the QT6 build
d734e633d 2024-11-07 Jasem Mutlaq         Use filename instead of completeBasename
c058b9e63 2024-11-09 Yuri Chornoivan      Fix minor typos
1285dd646 2024-11-09 Hy Murveit           Imaging Planner tool initial version
3593bd75f 2024-11-09 Hy Murveit           Docbook for Imaging Planner
791ff6937 2024-11-07 Jasem Mutlaq         Fix list operation
8ace9380b 2024-11-07 Jasem Mutlaq         Indicate whether the entry is a file
9f22375e6 2024-11-06 Jasem Mutlaq         Add directory exists operation
b5612a4c4 2024-11-05 Jasem Mutlaq         Add simple file commands
27d5a541c 2024-11-05 Jasem Mutlaq         Fix Focus module check due to introduction of main Focuser
120d81cb7 2024-11-03 Jasem Mutlaq         Multi-dispatch fix
3f1af21a6 2024-11-03 Jasem Mutlaq         If manual rotator is complete, do not abort solver. FIXED-IN:3.7.4 BUGS:495737
b1b4e3565 2024-11-02 Robert Lancaster     Windows wiz data fix
ee619f7e2 2024-10-31 Akarsh Simha         Remove the "Simulate Eyepiece View" feature and strip down `EyepieceField`
f668def39 2024-10-31 Akarsh Simha         Fix for when the find dialog shows the Internet Search button
a890447d7 2024-05-07 Akarsh Simha         Fix incorrect overload when returning trixels along a very short arc
bc9397566 2024-05-07 Akarsh Simha         Constellation boundaries actually precess along with the coordinate grid
a63bd3f7c 2024-05-07 Akarsh Simha         Make SkyMesh::index(SkyPoint, radius) behave just like other ::index methods
8a40ebccf 2024-05-07 Akarsh Simha         lastPrecessJD needs to be long double; double generally not enough
5ab39d2ce 2024-04-28 Akarsh Simha         Refactor getIndexCoords to accept just julian millenia
312f55dce 2024-11-01 John Evans           Contrast Focus
8b672a545 2024-10-29 Jasem Mutlaq         Using updated name on Linux for source extractor
9aa647c10 2024-10-27 Hy Murveit           Add option to render catalog stars over HIS
63ce290eb 2024-10-27 Wolfgang Reissenberger Revert "Repeats and Looping for the Capture Module"
040b61371 2024-10-27 Robert Lancaster     Two Fixes for the Windows KStars Build with Qt6
5d9d87672 2024-10-25 John Evans           Log Focus Advisor results to debug
c6e3a5fba 2024-10-25 John Evans           Fix main.cpp compile issue on Mac
8eff17fd0 2024-10-24 Jasem Mutlaq         Migrate Capture and Scheduler settings to their own pages
c468adb0e 2024-10-23 Jasem Mutlaq         Cover missing case when session expires
20fc0c7cc 2024-10-23 John Evans           FITS Catalog integration bug fix fits tab
0c39676ed 2024-10-22 Jasem Mutlaq         Remove limitation for default plan
ea004a10a 2024-10-21 John Evans           FITSViewer Simbad Integration Bug Fixes
539ca143e 2024-10-21 Wolfgang Reissenberger Fix errors and warnings under Qt6
1b5b05c22 2024-10-18 Robert Lancaster     Fixing a QT6 compile error from a recent commit.
814fd887f 2024-10-17 Jasem Mutlaq         Add call for remotely saving scheduler sequence file locally
b547d3df1 2024-10-17 Yuri Chornoivan      Fix minor typo
e739d1cbf 2024-10-16 Hy Murveit           Sample artificial horizon lines so that they render like great circles.
d75accd4e 2024-10-16 Wolfgang Reissenberger Repeats and Looping for the Capture Module
21325afbd 2024-10-16 John Evans           Fits Catalog Integration
d6de828b9 2024-10-15 Hy Murveit           Make inventing guide stars the default
7d84dacba 2024-10-15 Eric Dejouhanet      fix(ci): remove android qt5 recipe, removed from ci-utilities.
a2b780fba 2024-10-08 Hy Murveit           Dont render stars when HIPS is active
a13a73505 2024-10-10 Jasem Mutlaq         Qt6 migration
2b1a25e86 2024-10-07 Hy Murveit           Do not delay hips if the focus has changed
bf53565f8 2024-10-08 Jasem Mutlaq         Fix crash when equipment profile camera is changed but train configuration was not updated and a capture preview is started
6ef3a8785 2024-10-08 Jasem Mutlaq         Fix crash when disconnecting equipment while pending properties are in transit
b6a1514f3 2024-10-08 Jasem Mutlaq         Add libcurl explicitly
d9b71af71 2024-10-07 Hy Murveit           Fix HIPS menu bug
ba26fb201 2024-10-06 Jasem Mutlaq         Start KStars v3.7.4 development cycle
757bd9b6c 2024-10-05 Jasem Mutlaq         Add a method to verify if a sky point is within limit. Return error if telscope coords are invalid in capture and solve
3528f8236 2024-10-04 Pino Toscano         Explicitly include fitsdata.h
6766f2d67 2024-10-01 Jasem Mutlaq         Add missing signal
38ef53b1e 2024-10-01 Jasem Mutlaq         For newView, a new UUID must be generated
fee350432 2024-09-30 Hy Murveit           Add multistar guiding to the handbook

3.7.3 (MULTI2):

09a12d8f4 2024-09-29 Wolfgang Reissenberger Bug multi camera support | fix for camera cooler control
33de71f26 2024-09-27 Wolfgang Reissenberger Refactor tabs closing + disabling tabs closing in focus module
b80949023 2024-09-27 Wolfgang Reissenberger Selecting temperature source for focuser fixed
691572033 2024-09-25 Jasem Mutlaq         Update snapcraft recipe. Not tested yet
67bff0a7d 2024-09-22 John Evans           Focus Filter Offsets Bug
8c9db1e49 2024-09-20 Jasem Mutlaq         Fix crash with using Qt Concurrent with FITSView upload
12c54c629 2024-09-20 Jasem Mutlaq         Sure vertical bin to same as horizontal in dark library
aec028926 2024-09-19 Jasem Mutlaq         Fix issue with dark library was not enforcing Dark type correctly
10a7ad967 2024-09-19 Jasem Mutlaq         Make sure mount control panel can stay up at all times as it was before
d205112f8 2024-09-16 Jasem Mutlaq         KStars v3.7.2 in AppData update
cd6be6040 2024-09-16 Hy Murveit           Fix crash on ekos reconnect
3a037b4d1 2024-09-14 Hy Murveit           Add altitude graphs to scheduler
d3f3b9d25 2024-09-12 Hy Murveit           Bugfix for scheduler endtime display
3297784d4 2024-09-12 Jasem Mutlaq         Guide settle when in-sequence-focus is used during guiding
137ae4e49 2024-09-12 Gus Robinson         The Camera module starts capturing too soon after a dither. After a dither PHD2 sends a "guiding" state to the Guiding module which then immediatly ..
b1cb77c34 2024-09-10 Konstantin Baranov   Allow Flat re-calibration on the fly
0aac0c1b2 2024-09-11 Wolfgang Reissenberger Ignore device events if preparation has been completed
95a90eb21 2024-09-09 Hy Murveit           Protect again possible crash
31bb04542 2024-09-09 Wolfgang Reissenberger Avoid repeated logging of unchanged position and state
3035ef35a 2024-09-09 Ed Lee               Changed example min KStars version to 3.7.3 to avoid confusion
37c956e64 2024-09-08 Hy Murveit           ImageOverlays was not using modified profiles.
a4674a56a 2024-09-08 Jasem Mutlaq         Store formatting texts in job and add ability to update jobs remotely via INVOKABLE
7c96b2dea 2024-09-07 Wolfgang Reissenberger Improve logging for checking alignment after flip
962b04ab9 2024-09-06 John Evans           Focus fixes for multicam
7c3682ab3 2024-09-03 Wolfgang Reissenberger Multiple cameras | step 14 | Meridian flip
53065ce12 2024-09-01 Wolfgang Reissenberger Multiple cameras | step 13 |  Robustness
d18798d0a 2024-09-01 Wolfgang Reissenberger Use binning values for correct frame with calculation
a642c75cd 2024-08-31 Wolfgang Reissenberger Multiple cameras | step 12 | alignment and guiding sync
e0688469e 2024-08-31 Jasem Mutlaq         Only change time if ekos profile is not running
c9efbaea2 2024-08-29 Jasem Mutlaq         UUID must always point to imageData
f178273fa 2024-08-29 Jasem Mutlaq         Manage OPTION_SET from cloud
e7e5592cc 2024-08-28 Jasem Mutlaq         Fix crash in processing focus module
84db00873 2024-08-27 Wolfgang Reissenberger Bug fix keeping train sequence when adding new tab
fea50dbc7 2024-08-27 Wolfgang Reissenberger Multiple cameras | step 11 | dither sync
6dd7a8d66 2024-08-26 Jasem Mutlaq         Add more invokable methods. Probably need to add to DBus interface
ee929c33e 2024-08-25 Wolfgang Reissenberger Add new tab selects unused optical train
1795feaa7 2024-08-25 Wolfgang Reissenberger Bug fix in scheduler for interface changes of focus events
604e72e3d 2024-08-24 Wolfgang Reissenberger Lost connection command readded
6b9b09ec8 2024-08-24 Wolfgang Reissenberger Support for adhoc focus with multi camera setups
284078e7b 2024-08-21 Jasem Mutlaq         Fix crash due to FITSView getting terminated in another thread and causing the QBasicTimer::stop crash
92c5bb179 2024-08-22 Ed Lee               Add extra DBus functions for Siril_EAA extension
74beff422 2024-08-22 Jasem Mutlaq         Fix missing tag
2b3d32b94 2024-08-22 Yuri Chornoivan      Fix XML
8db413303 2024-08-22 Yuri Chornoivan      Fix minor typos
250448042 2024-08-22 Yuri Chornoivan      Fix minor typos and formatting
e6734ccef 2024-08-21 Ed Lee               Create extensions interface
6215551cb 2024-08-20 Wolfgang Reissenberger Bug fix for scheduler using train names as identifier
b6a03fb1c 2024-08-19 Wolfgang Reissenberger Use train name as indentifier instead of camera device name
9e3997b78 2024-08-18 Wolfgang Reissenberger Capture relevant type definitions consolidated in a single header file
022b06c39 2024-06-19 Eric Dejouhanet      fix(ci): add cURL libraries to cfitsio libraries.
7e235c094 2024-08-15 Jasem Mutlaq         Trains and train settings can be accessed without profile running
a69e7d65e 2024-08-15 Wolfgang Reissenberger Multiple cameras | step 10
a8c774ec9 2024-08-11 Hy Murveit           Updates to alwaysInvent for guider
95490b0c3 2024-08-12 Jasem Mutlaq         Update URL
1c93d2176 2024-08-12 Yuri Chornoivan      Fix minor typo
41db1c4f4 2024-08-11 Hy Murveit           Add option to always invent the guidestar in MultiStar guiding.
0a1b17059 2024-08-11 Jasem Mutlaq         Merge fixes from stable-3.7.2 into master
0198ed23f 2024-08-10 John Evans           Focus Advisor 4 Bugs2
596892d06 2024-08-09 Jasem Mutlaq         Fix crash due to out of range exception
2a9083cf1 2024-08-08 Yuri Chornoivan      Remove extra colon
603547ec9 2024-08-08 Wolfgang Reissenberger Bugfix missing fits file
7baedeb0d 2024-08-06 Eric Dejouhanet      fix: change cmake versioning method.
f8a66c0ac 2024-08-04 Wolfgang Reissenberger Display end altitude with greedy scheduling
126935c61 2024-08-04 Wolfgang Reissenberger Bugfix INDI mount status
a2f376d01 2024-08-08 Jasem Mutlaq         Fix issue where filter is only sent for first row
c1e34c6c6 2024-08-08 Yuri Chornoivan      Remove extra colon
93e45e7ce 2024-08-08 Wolfgang Reissenberger Bugfix missing fits file
ce2e99f2b 2024-08-07 Wolfgang Reissenberger Multiple cameras | step 9
58d9ed1d8 2024-08-06 Jasem Mutlaq         Fix possible crash when object hash contains some dangling pointers
ab1e430ae 2024-08-06 Eric Dejouhanet      fix: change cmake versioning method.
568ba95de 2024-08-06 Jasem Mutlaq         Sometimes the title is updated without HFR so need to send that separately
f6105d8ec 2024-08-06 Jasem Mutlaq         Add missing signal emit for focus advisor
9a8aa9d8b 2024-08-04 Wolfgang Reissenberger Display end altitude with greedy scheduling
b4fb4b73d 2024-08-04 Wolfgang Reissenberger Bugfix INDI mount status
fe52bee66 2024-08-04 Jasem Mutlaq         Starting v3.7.3 development cycle
1b939a3df 2024-08-02 John Evans           Focus Advisor v4 Results Table
8fc0e1c9d 2024-08-02 Jasem Mutlaq         INDI drivers sync
cdb96e1b7 2024-08-01 Eric Dejouhanet      fix(ci): do build Craft recipes on master and stable branches.
e1e9fbd79 2024-08-01 Jasem Mutlaq         Fix crash when saving a non-existing defect map
a7fd569be 2024-08-01 Wolfgang Reissenberger Flag introduced restricting altitude limits to tracking

3.7.2 (ADVISOR):

0da71b1ff 2024-07-31 Jasem Mutlaq         Send title to EkosLive
bf0792c9e 2024-07-25 Jasem Mutlaq         Add observatory name and machine ID to EkosLive
d20ed89d1 2024-07-23 Wolfgang Reissenberger Camera selection combo box only if more than one camera active
75a63d92a 2024-07-21 Jasem Mutlaq         Disable the astronomical twilight pop up and just log the same message to the log view. The popup sometimes keeps repeating and causing havoc on use..
41bdbfdb3 2024-07-20 Toni Schriber        Tooltips emendation in rotatorsettings & opsprograms
085e5f445 2024-07-13 Wolfgang Reissenberger Bug fix: Check for focus running fixed in calibration phase
9b9998089 2024-07-11 John Evans           Focus SEP defaults no longer deboned
2138a4745 2024-07-11 John Evans           Focus Fail Bugs
32d5b4146 2024-07-10 Wolfgang Reissenberger Multiple cameras | step 8
08ed69269 2024-07-10 Wolfgang Reissenberger Stop dither timer when guiding is detected
d755e650b 2024-07-09 Hy Murveit           Fix broken sequence editor
d7bf3b954 2024-07-07 John Evans           Focus Advisor 4 Bugs 1
013389d89 2024-06-19 Boudhayan Bhattacharya Add launchable and developer name to appdata
11d0dc4dc 2024-06-22 Emir SARI            Apply i18n to percent values
eea44264d 2024-07-02 Jasem Mutlaq         Fix warnings and add stage and message signals to FocusAdvisor
f99c36238 2024-07-02 Wolfgang Reissenberger Create a pass through for capturing directly from INDI
4cda831e0 2024-06-30 John Evans           Focus Advisor 4 Typo Correction
42b6cf2a0 2024-06-29 Hy Murveit           Add info about index file used to the fits solver.
057a54402 2024-06-25 Hy Murveit           Remove the fitsviewer/sep directory and contents. It is not used--was moved to StellarSolver.
943e9d216 2024-06-25 Hy Murveit           Reword the warning at the top of the logs menu.
7b6cf2a06 2024-06-25 John Evans           Focus Advisor Phase 4
c05bbb26d 2024-06-25 Hy Murveit           Remove solver logging from the logs menu--it is disabled.
b58fa0ecb 2024-06-22 Jasem Mutlaq         FITSData should have its unique UUID
f1dc3d887 2024-06-21 Jasem Mutlaq         Perform an exact search first. If no objects are found, we try inexact search if it is required
9eaa76f4b 2024-06-21 Jasem Mutlaq         Use KLocalizedString instead of I18N_NOOP
33637a667 2024-06-21 Jasem Mutlaq         Fix bug that caused KStars selected program language to not load properly.
22cd49294 2024-06-21 Wolfgang Reissenberger Bugfix compiler warnings 2
77fbbbe05 2024-06-19 Wolfgang Reissenberger Multiple cameras | step 7
07d65a961 2024-06-18 Hy Murveit           Remove the SettingAltitudeCutoff option
33d128d95 2024-06-18 Hy Murveit           Continue to fix Analyze fits display
491a7c2bd 2024-06-18 Wolfgang Reissenberger Bugfixes for compiler warnings
31cae62cd 2024-06-18 Jasem Mutlaq         Fix typo
58b955534 2024-06-17 Hy Murveit           Analyze bugfix--did not display fits files when fits single window capture was set
2dae0ae4f 2024-06-17 Jasem Mutlaq         Use shortFormat otherwise all native loaders would fail. This fixes a serious regression introduced with 3.7.1
d0a30160b 2024-06-16 Wolfgang Reissenberger Multiple cameras | step 6
4f5270e45 2024-06-15 Jasem Mutlaq         Protect against crash by assigning weather source in case it was never set before
8f65f020a 2024-06-15 Jasem Mutlaq         Fix issue where remote drivers field have multiple drivers
68cb99ce5 2024-06-15 Jasem Mutlaq         Fix issue where script driver are not connected after startup
565b202a6 2024-06-15 Jasem Mutlaq         Remote drivers should be now selectable in profile scripts
d56244bee 2024-06-14 Eric Dejouhanet      fix(ci): increase MacOS build timeout.
f4f445838 2024-06-13 Hy Murveit           Adjust Analyze legend
32a71b49d 2024-06-13 Jasem Mutlaq         Make sure combo box has elements before trying to set a value
636bc437f 2024-06-13 Jasem Mutlaq         Fix observatory weather switching and fix connection to scheduler. Instead of relying on Weather device, we now rely on observatory overall status s..
0eddd6ff7 2024-06-12 Jasem Mutlaq         Fix minor issue with missing sync controls
f2fd781ac 2024-06-11 Jasem Mutlaq         Add Preston, England
61817bb4e 2024-06-10 John Evans           Hanging bug due to multiple adjust focus requests
55cf23a1a 2024-06-07 Antonio Escriban     Bugfix camera UI
03470ee7f 2024-06-08 Wolfgang Reissenberger Widgets from mount controller used on mount tab
ddb818ffa 2024-06-08 Wolfgang Reissenberger Multiple cameras | step 5
bb9913ae5 2024-06-07 Eric Dejouhanet      feat(ci): build and sign on push to the default branch
1275121a4 2024-06-07 Jasem Mutlaq         Starting KStars 3.7.2 development cycle
e9b49f3a7 2024-06-07 Jasem Mutlaq         Add machine id to node manager

3.7.1 (MULTI):

df6cce9f0 2024-05-30 Wolfgang Reissenberger Making target labels dependent on the selected coordinates mode
f78c02c56 2024-05-30 John Evans           Bugfix for relative focusers (DSLR), timed and manual focusers not resetting buttons after focuser move
ce898c0a4 2024-05-29 Dušan Poizl          Add realtime simclock that is locked with systen clock´
090044ab5 2024-05-28 Jasem Mutlaq         Fix azimuth unit in mount control panel
bf082ea64 2024-05-25 Philip Mair          Added more scheduler dbus properties
5e0900c9e 2024-05-25 Wolfgang Reissenberger Bugfix camera logging
3930b5e36 2024-05-21 Wolfgang Reissenberger Bugfix calibration show fitsviewer
47dcf6b34 2024-05-21 Jasem Mutlaq         New mount panel
0491d3a22 2024-05-19 Wolfgang Reissenberger Bugfix for captured flat frames counting
c98667632 2024-05-18 Wolfgang Reissenberger Bugfix for device state handling
c07117c93 2024-05-18 Wolfgang Reissenberger Bugfix of mount parking for flats etc
58a32c7e6 2024-05-18 John Evans           Build Filter Offsets Hanging Bug
c3676a2c2 2024-05-16 Jasem Mutlaq         Debounce jobs updated signal
8564f6ab7 2024-05-15 Jasem Mutlaq         Capture and Scheduler process are now children of KStars::Instance. Add Q_SCRIPTABLE to a few function calls where it makes sense to use
6a14e1672 2024-05-15 Wolfgang Reissenberger Multiple cameras | step 4
50f05b907 2024-05-14 Hy Murveit           Add fit-page-to-zoom button to the fitsviewer
1ad2b09a6 2024-05-14 Hy Murveit           Another guiding-concurrency fix
73e3aa1ae 2024-05-14 Jasem Mutlaq         Add Q_SCRIPTABLE to clearLogs
7422be352 2024-05-14 Jasem Mutlaq         Do not save target name in optical train settings since it is set by Ekos
121540c1d 2024-05-14 Jasem Mutlaq         Send logs to EkosLive
45e784d42 2024-05-13 Hy Murveit           One more guiding-concurrency fix
cc7e87918 2024-05-13 Jasem Mutlaq         Fix bug in profile external guider port settings
ef501cfd9 2024-05-12 Jasem Mutlaq         Fix issue with INDI::Camera refactor that move FITS Viewer handling to CaptureProcess. Add stretch and autostretch function to the view directly
a35490ed6 2024-05-12 Hy Murveit           Add documentation
191f44c0b 2024-05-11 Jasem Mutlaq         Fix radio options in train settings
c9db3003f 2024-05-11 Wolfgang Reissenberger Multiple cameras | step 3
8af1fa2c6 2024-05-10 Hy Murveit           fix options bug
eb8ce8e05 2024-05-09 Hy Murveit           Stop guider from concurrent capturing.
b16ee8884 2024-05-10 Hy Murveit           Go to analyze options tab when clicking analyze options button
209ecb3da 2024-05-10 Hy Murveit           Moving among Analyze sessions etc
622d0d13a 2024-05-10 Wolfgang Reissenberger Bug fix: setting extension before loading image from buffer
aff30fbca 2024-05-10 Wolfgang Reissenberger Bugfix: capture hanging when no FITSViewer is used
9cc625c11 2024-05-09 Jasem Mutlaq         If parked, clear target name
f29584204 2024-05-08 Wolfgang Reissenberger Bugfix for cmake on RaspbianOS bullseye
251281b7e 2024-05-07 Wolfgang Reissenberger Avoid font size less than 4px
bacebf70e 2024-05-07 Wolfgang Reissenberger Enable Qt6 in cmake configurations
4137a23f8 2024-05-07 Hy Murveit           Fix countdown
e3f9feaf0 2024-05-05 Hy Murveit           Internal guider should not auto-capture in dither-settle state.
be3084312 2024-05-05 Wolfgang Reissenberger Bugfix for capturing previews
1d3a44b9f 2024-05-03 Akarsh Simha         Improvements to FOV symbols
308fac43d 2024-05-02 Hy Murveit           Fix bug where internal guider with one-pulse-dither would trigger two concurrent guide exposures.
51158c176 2024-05-02 Jasem Mutlaq         Fix crash when timer is activated after clearning pending properties
51372a49f 2024-05-02 Wolfgang Reissenberger Multiple cameras | step 2
b2b6aa484 2024-04-30 Hy Murveit           Fix bug where tooltip does not display progress when job names are duplicated.
d09ba0d6d 2024-04-30 Hy Murveit           Left align the capture temperature display
7ac5e4c20 2024-04-28 Hy Murveit           Allow focus to recover when camera driver crashes
bcec2c66c 2024-04-28 Jasem Mutlaq         Add guide gain
7b017e791 2024-04-24 John Evans           Autofocus Restart Bug
3e41593eb 2024-04-24 John Evans           Focus Abort Bug
0f3a315c6 2024-04-23 Hy Murveit           Attempt to fix issue where camera driver crash does not recover.
02633c4d6 2024-04-23 Jasem Mutlaq         Add function to return all DSO designations
07e004659 2024-04-22 Yuri Chornoivan      Fix minor typo
7b764cd8d 2024-04-21 Hy Murveit           Fix crash on driver restart
c3ac36c19 2024-04-21 Wolfgang Reissenberger Multiple cameras | step 1
1dab46fae 2024-04-17 Hy Murveit           Fix fitsviewer tab labels for calibrate and preview
f43bdf968 2024-04-17 Hy Murveit           Screen the moon
377454925 2024-04-18 Hy Murveit           Fix bad label on fitsviewer tab for first captured image.
0e02c6c27 2024-04-16 Hy Murveit           Emit captureComplete a little later so calibration knows the filename.
01cbe4ff4 2024-04-15 Jasem Mutlaq         Fix elevation value
7bd0cc4f9 2024-04-13 Jasem Mutlaq         Since FITS Viewer no longer triggers an upload, we send raw data directly
595e8c84d 2024-04-12 Hy Murveit           fix simulate daytime bug
286956d7d 2024-04-11 Jasem Mutlaq         Add convenience call to get KStars location info
ea57674c8 2024-04-11 Hy Murveit           Fix Milky Way rendering when simulate daytime is enabled.
a5a149102 2024-04-11 Jasem Mutlaq         Use a more comperhensive list to return all object names
3a0883643 2024-04-10 Hy Murveit           Make Zoom-to-Fit actually fit.
6e99a364f 2024-04-10 Hy Murveit           Render the full field in stereographic projection (instead of just in front of the viewer)
7dd2a4550 2024-04-10 Hy Murveit           Simulate Daytime
ddee14276 2024-04-10 Jasem Mutlaq         Location & time sources
9fcfd9afc 2024-04-10 Toni Schriber        Load FITSFile with QUrl() to prevent empty fits field in scheduler
4973e9952 2024-04-10 Jasem Mutlaq         KStars 3.7.1 development cycle
32578a1eb 2024-04-10 Wolfgang Reissenberger Flats Speedup
d1d6d365b 2024-04-09 Wolfgang Reissenberger Bugfix capture testcases 02
c6ffd22e5 2024-04-09 Eric Dejouhanet      fix(ci): move Microsoft Signing to the publish stage.
f33c8ca70 2024-04-08 Jasem Mutlaq         Allow concrete devices internal slots to run first before firing external signals
b3313500a 2024-04-06 Pino Toscano         ekos: fix build without QtDataVisualization
a3a27db10 2024-04-05 Jasem Mutlaq         Add support to obtain all object names
7f248af9e 2024-04-05 Jasem Mutlaq         For partial match, use object full name
018e73af4 2024-04-04 Jasem Mutlaq         Add scheduler clearLog
5bc7fce40 2024-04-03 Jasem Mutlaq         Add scheduler & sequence XML Schema Definition files
04d196b16 2024-04-03 Nicolas Fella        Fix dependency name in CI config
e2b310a42 2024-04-02 Eric Dejouhanet      fix(ci): adjust custom build to fix needs on master.
597896ec6 2024-04-02 Eric Dejouhanet      feat(cd): provide CD pipelines
353ccf321 2024-04-01 Jasem Mutlaq         Pass exact instead of hard-coding it
ea57c140a 2024-04-01 Jasem Mutlaq         Pass exact instead of hard-coding it
213420d90 2024-04-01 Yuri Chornoivan      Fix minor typos

3.7.0 (Blink):

4236bcd19 2024-03-28 Jasem Mutlaq         For partial object name search, exact flag should be passed down and a partial search should take place
405707024 2024-03-28 Jasem Mutlaq         Correct the dark subtraction tooltip
47ad9418f 2024-03-27 Hy Murveit           Fix sky background color bug
6571a037f 2024-03-26 Jasem Mutlaq         Fix i18n issue in adaptive focus
a173256f6 2024-03-26 Jasem Mutlaq         Fix file URL
000cf2625 2024-03-26 John Evans           Focus Advisor Phase 3
f201544fa 2024-03-25 Toni Schriber        Expand check for initial rotator angle to IPS_OK & IPS_IDLE
c1b4d0167 2024-03-22 Hy Murveit           Add options to increase the size that the Sun and Moon are rendered.
cd12445f3 2024-03-23 Jasem Mutlaq         Fix bugs in loading sequence and scheduler files
50fb264d3 2024-03-22 Akarsh Simha         Fix a few things in the Views feature
d8601bf1b 2024-03-21 Hy Murveit           Generate job capture summary
5f9ce4a30 2024-03-19 Wolfgang Reissenberger Bugfix captured frames counting
40f1d87fd 2024-03-19 Akarsh Simha         Introduce Views: A way to quickly reorient the sky-map to match the view through an instrument
8fa465627 2024-03-18 Wolfgang Reissenberger Update test cases after settings refactoring
20536ddae 2024-03-18 John Evans           Focus Passes R2 Check Fail details to Analyze
82a81b7e2 2024-03-18 Jasem Mutlaq         Use job instead of state
80816c8dc 2024-03-18 Jasem Mutlaq         Restore limit settings
4eccc0784 2024-03-18 Hy Murveit           Move to train-based storage for stand-alone esq editor
75ba2881d 2024-02-04 Eric Dejouhanet      feat(ci): KDE CI pipelines for linux, android and win32, fix fortify.
949f050b0 2024-03-17 John Evans           Turn off Focus Advisor Defaulting for New Ops
6c61d2c3e 2024-03-17 Yuri Chornoivan      Fix minor typo
ab18ac1c4 2024-03-16 John Evans           Focus Overscan Delay
c721828bb 2024-03-16 John Evans           Fix Filter Manager Button in Capture
c5490eb8c 2024-03-16 John Evans           Focus Framing Bug on Filter Change
18e59ff02 2024-03-16 Jasem Mutlaq         Do not show dialog for focus advisor, use it by default
47e2ca3a2 2024-03-16 Hy Murveit           Choose profiles from any module in FITS Viewer solver
30d02bcb6 2024-03-16 Jasem Mutlaq         Add save and load scheduler to ekoslive
4972b3318 2024-03-16 Jasem Mutlaq         Fix test case
0251f1c4b 2024-03-15 Jasem Mutlaq         Refactor capture settings. Standalone mode needs to use train data instead of options
a1e15336e 2024-03-15 John Evans           In Sequence Focus Phase 2
21e3d359d 2024-03-14 Hy Murveit           Update view after fitsviewer extraction so new stars are displayed
ddf29a77c 2024-03-15 Hy Murveit           Fix stand-along esq editor temperature control.
b7963a546 2024-03-14 Hy Murveit           Try to fix driver-restart crash
f70412234 2024-03-13 Wolfgang Reissenberger Fix scheduler sync options
263224ce9 2024-03-12 Hy Murveit           Bugfix re confusion between repeat schedulerJob and repeat all scheduler jobs
6826990c4 2024-03-12 Hy Murveit           Add edit profile button in FITS Viewer Solver and in Image Overlays
ccc571ee5 2024-03-12 Hy Murveit           Add option to render image overlays below catalogs.
524595f78 2024-03-12 Hy Murveit           Fix bug loading ssolver profiles.
83ccf32ac 2024-03-04 Jasem Mutlaq         Use stop to fix compile error in master
2b21b2f2c 2024-03-03 Jasem Mutlaq         Use emit to fix compile error
f8c61e1c8 2024-03-02 Jasem Mutlaq         Clear pending property when requesting to stop
939ae32d3 2024-03-02 Jasem Mutlaq         Add a check for uncommanded mount park that is initiated outside scheduler module. When it happens we need to abort scheduler is active and if the c..
6958835b2 2024-03-01 Jasem Mutlaq         Check if optical train is not empty
eb8b0aca1 2024-02-29 Jasem Mutlaq         Only store true value for radio buttons
19cc38071 2024-02-29 Jasem Mutlaq         Fix issues with removing dark frames from table.
b29dc5467 2024-02-27 Jasem Mutlaq         Fix Dome, GPS, and other non-train devices not getting ACTIVE_DEVICE synced properly
c3c1a1844 2024-02-25 Yuri Chornoivan      Fix minor typos
0ebc6d21d 2024-02-25 Jasem Mutlaq         Add one more check to prevent crash
b09232cde 2024-02-25 Jasem Mutlaq         Add more checks for filter manager to prevent crashes
904f22ae2 2024-02-24 John Evans           Donut Buster Phase 2
26e822d03 2024-02-07 Dušan Poizl          Add option for shoting skyflats
651941604 2024-02-24 Jasem Mutlaq         Do not create modules when creating a new equipment profile unless all equipment are detected
bd8c6fbd7 2024-02-24 Jasem Mutlaq         Revert "Draw image overlays just after HiPS, so DSOs / lines etc. are drawn over them"
442bedc47 2024-02-24 Jasem Mutlaq         Improve save and load sequence to allow setting of file data without specifying path
b44b00671 2024-02-23 Akarsh Simha         Draw image overlays just after HiPS, so DSOs / lines etc. are drawn over them
bb0a0e298 2024-02-24 Wolfgang Reissenberger Bug fix for place holder handling of remote files
34b0573a4 2024-02-20 Josep M. Ferrer      Fix minor typo
3166a6a45 2024-02-19 Yuri Chornoivan      Fix XML
af76a2a8b 2024-02-18 Akarsh Simha         New feature: Allow the user to mirror the sky map
ef51d2720 2024-02-16 Wolfgang Reissenberger State display of Scheduler and Capture optimized
776240618 2024-02-15 Jasem Mutlaq         Check if we are looping before disconnecting exposure progress since we do not connect this signal again when looping
7197d9874 2024-02-15 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 9
fe79d43cf 2024-02-14 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 8
a468d4f59 2024-02-13 Toni Schriber        Overhaul "differential slewing"
f563aebe1 2024-02-12 John Evans           Focus Move Bug
6bb03a2fc 2024-02-12 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 7
9aea84485 2024-02-11 Wolfgang Reissenberger Adding the delay to the first image in the sequence
6842beee4 2024-02-11 Jasem Mutlaq         Increase maximum align capture duration to 5 minutes
87140d566 2024-02-11 Yuri Chornoivan      Fix minor typo
325ceca95 2024-02-10 Jasem Mutlaq         Use correct state after PHD2 complete dithering
81461b464 2024-02-10 Wolfgang Reissenberger Deactivating debugging messages filling the log file
5a3e0a3d8 2024-02-10 Jasem Mutlaq         Check if master dark exists
3f4f657ff 2024-02-08 Jasem Mutlaq         3.7.0 release cycle
3604a1d25 2024-02-09 Hy Murveit           Add Analyze/Blink buttons, add Analyze log.
e8f6efb71 2024-02-09 John Evans           Focus 2 Tick  Bugfix
9afad7fa6 2024-02-09 Hy Murveit           Analyze blink fixes
5eadd4b3c 2024-02-08 Hy Murveit           Add blinking capabilities to FITS Viewer and Analyze.
bb899349b 2024-02-08 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 6
633e27f0c 2024-02-08 John Evans           Framing bugfix
d8ea2a054 2024-02-08 Yuri Chornoivan      Fix minor typos
2f5d84b8f 2024-02-07 John Evans           Focus Docbook Update 3.6.9
dd9901e3b 2024-02-05 Jasem Mutlaq         Fix crash if sequence file was loaded with filter selection but active train does not have a filter wheel
9eecfb80d 2024-02-02 Hy Murveit           Fix focus profile index bug
9232c1d2e 2024-02-02 Jasem Mutlaq         Fix rare crash when opening search dialog due to unused AsyncDBManager in FindDialog
d741c8f37 2024-02-01 Jasem Mutlaq         Add missing emit message
fdbf5c5ec 2024-02-01 Jasem Mutlaq         Add initial craft.ini file to build INDI library and KStars
a703dfc23 2024-01-31 Jasem Mutlaq         Fix satellites loading error thanks to updated list by Own. BUGS: 479796

3.6.9 (Lobi):

e6285e15c 2024-01-30 John Evans           In Sequence HFR Check Bugfix
e2b4bb982 2024-01-28 Jasem Mutlaq         Fix possible crash when disconnecting devices where we have pending properties
246836cda 2024-01-27 Yuri Chornoivan      Fix minor typos
8f9102b14 2024-01-26 Jasem Mutlaq         Add Train reset
145597bca 2024-01-26 Hy Murveit           Simplify moon separation test
fb7717365 2024-01-26 John Evans           Donut Buster - Phase 1
6193ab3e6 2024-01-23 Jasem Mutlaq         Add one more check for client manager, but it should exist by this point
2d63b2fe6 2024-01-21 Jasem Mutlaq         Fix minor issue in port selector where connection status is not updated per device
44e743715 2024-01-22 John Evans           CFZ Step Size Precision to 3dp
38612eaa8 2024-01-21 Toni Schriber        Add capture time delay estimate for rotator movements
bc0d0f7e0 2024-01-21 Toni Schriber        overhaul "differential slewing"
b21f5ed2f 2024-01-21 Jasem Mutlaq         Fix driver labels
4f1532fe3 2024-01-21 Hy Murveit           Simplify variance calculation
ebee2551c 2024-01-20 John Evans           Focus: Small tweaks as requested by forum user
e697a1a86 2024-01-20 Yuri Chornoivan      Fix minor typos
9e20246b5 2024-01-20 Jasem Mutlaq         INDI Driver sync
ee2923bdb 2024-01-11 Ian Jessen           Added camera data for Player One Astronomy Saturn-C and Poseidon-C
51b3f1892 2024-01-19 John Evans           In Sequence HFR Check Refactor
74186b331 2024-01-19 Antoni Bella Pérez   [l10n]: Fixes and improves
a3c404394 2024-01-17 Jasem Mutlaq         Account for actual exposure time in the focus timeout
d3889e4e9 2024-01-15 Hy Murveit           Fix small bug in sequencejob save
47e7a0a6f 2024-01-15 Hy Murveit           Added handbook section on editing the scheduler queue while running, and on...
4ec204cf3 2024-01-15 Hy Murveit           Create standalone editor for editing and saving .esq files.
6d38e124d 2024-01-13 Jasem Mutlaq         Fix focus setAllSetting not merging settings as in other modules
5b6cd4ebe 2024-01-13 Wolfgang Reissenberger Bug fix capture pausing blocks meridian flip
ae438cfdc 2024-01-11 Toni Schriber        Insert missing activation of LoadSlewB - New approach
5d6ed6b40 2024-01-11 Yuri Chornoivan      Fix links in documentation
ae99a90bd 2024-01-08 Thomas Stibor        Fix crash on empty PlotList
159967706 2024-01-10 Joseph McGee         sub-exposure calculator documentation updates
85d7e975e 2024-01-08 Wolfgang Reissenberger Global sequence job property removed from job's core properties
c711a5664 2024-01-08 Wolfgang Reissenberger Bugfix: Making capture scripts job specific
82449abbf 2024-01-08 Jasem Mutlaq         Fix crash due to not updating list after removing an iten
3566e05a5 2024-01-07 Wolfgang Reissenberger Bugfix realign after MF when paused
db539accd 2024-01-07 Wolfgang Reissenberger Bug fix for resetting dithering counter
fe1a6ee1a 2024-01-06 Wolfgang Reissenberger Bug fix connecting Ekos mount instead of ISD mount to MF state engine
2795862a8 2024-01-06 Josep M. Ferrer      Fix a minor typo (remove an extra period)
17aef3994 2024-01-06 Wolfgang Reissenberger Bugfix for scheduler editing
570acfb22 2024-01-05 Hy Murveit           Move sequenceJob load/save to sequencejob.cpp/h and implement SequenceQueue class
b4698037b 2024-01-05 Wolfgang Reissenberger Bugfix for INDI button activation
f0363b848 2024-01-05 Oliver Kellogg       kstars/indi/collimationOptions.ui : In offsetLabel toolTip change Elements to Element's.
9aa0a72ae 2024-01-05 Oliver Kellogg       kstars/ekos/scheduler/scheduler.cpp (setupScheduler) : In call to completionHeader->setToolTip remove stray quote at "job".
b87621fd6 2024-01-05 Jasem Mutlaq         Mark 3.6.9 beta
9dba34235 2024-01-05 Jasem Mutlaq         Send capture status
1083603d4 2024-01-05 Jasem Mutlaq         Fix issue with dome missing in align module
2132c4875 2024-01-05 Wolfgang Reissenberger Option making display of INDI window at startup configurable
00b658156 2024-01-04 John Evans           Adaptive Focus Fix1
723b9c91d 2024-01-04 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 5
b788c14fa 2024-01-04 Wolfgang Reissenberger Bugfix for new row selection while editing
2c716fda2 2024-01-02 Hy Murveit           FITS Roi also updates the stats table.
e09109c0d 2024-01-03 Hy Murveit           Allow deleting of scheduler jobs and appending to scheduler queue while running other jobs.
d117a4bc6 2024-01-02 Wolfgang Reissenberger Fixes and enhancements for editing running schedules
c1f9ad3c7 2024-01-02 Hy Murveit           Refactor scheduler a little
c7d374cb3 2024-01-01 Wolfgang Reissenberger Always show and edit scheduler job properties
e829d91bf 2024-01-01 Jasem Mutlaq         Add support to per-job dither frequency. By default it is 0 so it uses global dither frequency. If non-zero, it will instead use this value instead ..
693c48aac 2024-01-01 John Evans           Focus UI Refactor
b3fce864d 2024-01-01 Jasem Mutlaq         Send scheduler log and status
f28fc9e3a 2023-12-31 Jasem Mutlaq         Process FITS selection should have a URL so that it can be set from general settings
038ab9a90 2023-12-31 Jasem Mutlaq         Add missing set global settings
202df89bc 2023-12-31 Jasem Mutlaq         Fix signal changed by mistake
79be76675 2023-12-30 Jasem Mutlaq         Fix scheduler test
44d2ba4c1 2023-12-30 Jasem Mutlaq         Use standarized settings like rest of Ekos modules where as all settings as synced automatically to disk when changed and are loaded accordingly
4f96291c8 2023-12-30 Jasem Mutlaq         Use debounced timer for sending settings and save settings to disks once the debounce period is over to over excessive writes to disk
2f8284bff 2023-12-31 Jasem Mutlaq         Change maximum to 5 since some barlows can go pretty high
25c82f725 2023-12-28 John Evans           Focuser Properties Log Spam
c6d5be144 2023-12-28 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 4
bdfa10a25 2023-12-27 Jasem Mutlaq         Fix issue with autopark not triggering correctly
3f4597dba 2023-12-26 Jasem Mutlaq         Add button to reset optical train. This is required not only due to convenience but also because of missing devices error that cannot go away unless..
75f7039db 2023-12-26 Yuri Chornoivan      Fix minor typo
b5d1c8425 2023-12-25 Wolfgang Reissenberger Minimal flip duration
fc8639e66 2023-12-25 Yuri Chornoivan      Fix minor typos
800076133 2023-12-25 Yuri Chornoivan      Fix minor typos
a47e63015 2023-12-24 Ed Lee               Add Collimation overlay graphics to live view
0e2a1026a 2023-12-24 Jasem Mutlaq         Separate Alt and HA Abort dispatches
9b364f10d 2023-12-05 Jasem Mutlaq         Sync scripts
35d9abbff 2023-12-05 Jasem Mutlaq         Fix crash when downloading observing list images
fb27d200e 2023-12-11 Hy Murveit           Add logging to driver restart
b2ece5b20 2023-12-22 Jasem Mutlaq         Fix FITS Viewer crash on close
dc6302201 2023-12-20 Jasem Mutlaq         Must check if the string value is -- so that we reset the controls to their special values
25230b597 2023-12-20 Jasem Mutlaq         Fix guiding suspend not working properly when capturing non-light frames.
4ed1e3232 2023-12-20 Jasem Mutlaq         Send min and max in metadata
7cf2f7e1e 2023-12-19 Hy Murveit           Fix compile without fitsio
c9618a44b 2023-12-19 Jasem Mutlaq         Must perform a FULL RESET if the camera resolution changes
4594efba6 2023-12-17 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 3
38e985c5c 2023-12-12 Jasem Mutlaq         Use correct logging category
1d463e265 2023-12-11 Jasem Mutlaq         Clear last reference to pointer to delete the object
bc5adc3da 2023-12-10 Hy Murveit           undo previous fix
697b30c9a 2023-12-11 Wolfgang Reissenberger Bugfix for placeholder replacement of implicit values
ada76a181 2023-12-10 Hy Murveit           Fix bug introduced in 5f3dcf74
143f4a900 2023-12-10 Jasem Mutlaq         Fix infinite feedback loop that was caused by improper string comparision between a C string and QString
e7fcc7870 2023-12-09 Jasem Mutlaq         Add robust crash recovery to capture and guide modules. Focus and alignment are pending
5f3dcf74e 2023-12-09 Jasem Mutlaq         Fix FITSViewer not being removed from list after closing window
e576820dd 2023-12-07 Hy Murveit           Fix handbook authors section
ad5215f3b 2023-12-07 Albert Astals Cid    Remove docbook that doesn't compile
16796ae7a 2023-12-06 Yuri Chornoivan      Fix minor typos
0a8c955fe 2023-12-05 Yuri Chornoivan      Fix minor typos
c59528b13 2023-12-05 Yuri Chornoivan      Fix XML
d694512d8 2023-12-05 Hy Murveit           Increase visibility for Ekos and FITS Viewer in the KStars Handbook
67fdcaeda 2023-12-05 Jasem Mutlaq         Reduce margins
147aa0206 2023-12-03 Wolfgang Reissenberger Bug fix for unknown camera temperature, gain or offset
44e508650 2023-12-02 Yuri Chornoivan      Fix minor typos
5112379dd 2023-12-02 Yuri Chornoivan      Fix minor typo
397fcc66b 2023-12-02 Yuri Chornoivan      Fix minor typos
41cb8e87b 2023-12-02 Yuri Chornoivan      Fix minor typos
187dcff04 2023-12-02 Yuri Chornoivan      Fix minor typos

3.6.8 (Abberator):

b92ee12e8 2023-12-01 Jasem Mutlaq         INDI drivers sync                                                                                                                                     
e3e305a17 2023-12-01 John Evans           Aberration Inspector Handbook Update                                                                                                                  
9aa0227e2 2023-12-01 John Evans           Focus Guide Settle Bug                                                                                                                                
fd55f8939 2023-12-01 John Evans           Scheduler hangs when Focus does not signal Autofocus start failure                                                                                    
a610e357c 2023-12-01 Joseph McGee         Fixed a problem that prevented the exposure calculator file download function from finding new camera data files in github.                           
6bbb21618 2023-12-01 Toni Schriber        Revise differential slewing                                                                                                                           
08c25289f 2023-11-30 Yuri Chornoivan      Fix minor typo                                                                                                                                        
323adaebb 2023-11-30 Yuri Chornoivan      Fix minor typos                                                                                                                                       
9d32a738e 2023-11-29 Jasem Mutlaq         Send INDI status                                                                                                                                      
9da16320f 2023-11-29 Joseph McGee         Update handbook Ekos Capture to include docs for Exposure Calculator. Add...                                                                          
097cc6c70 2023-11-28 Hy Murveit           Bugfix in one-pulse dither. Dither pulses were going the wrong way.                                                                                   
a444f38a8 2023-11-28 Jasem Mutlaq         Update dependencies and add contributor                                                                                                               
ca9e3f73f 2023-11-27 Wolfgang Reissenberger Refactor placeholder matching                                                                                                                         
a2ac5c25e 2023-11-27 Wolfgang Reissenberger Bug fix reading initial pier and park states                                                                                                          
d5235682a 2023-11-27 Wolfgang Reissenberger Bugfix clear gain and offset                                                                                                                          
482f86e07 2023-11-26 John Evans           Focus timer bug fix                                                                                                                                   
04f68ddfe 2023-11-24 Hy Murveit           Bugfix: prevent possible ekos crash on indi camera driver crash                                                                                       
98cbe4386 2023-11-22 Antonio Escriban     Protect from nullptr in SequenceJob::setISO()                                                                                                         
e7a0564ed 2023-11-22 Wolfgang Reissenberger Protect against runtime exceptions when CCD driver crashes                                                                                            
5effccf71 2023-11-21 Hy Murveit           Protect from nullptr in abortExposure                                                                                                                 
309f78b2e 2023-11-21 Yuri Chornoivan      Fix minor typo                                                                                                                                        
259ecd612 2023-11-21 Wolfgang Reissenberger Wall source as option, not as single action                                                                                                           
a1613642d 2023-11-20 Hy Murveit           Reduce latency between captures.                                                                                                                      
ed71dd8b5 2023-11-20 Jasem Mutlaq         Remove problematic header                                                                                                                             
2d3033641 2023-11-20 Jasem Mutlaq         Fix mode                                                                                                                                              
452e5efc8 2023-11-20 Joseph McGee         Improvements to the exposure calculator                                                                                                               
1a8b29227 2023-11-19 Wolfgang Reissenberger Bug fix for pier side expression                                                                                                                      
ed6db110f 2023-11-19 Wolfgang Reissenberger Bug fix for creating signature expression                                                                                                             
c6e538c7b 2023-11-17 Jasem Mutlaq         Add qt5 visualization dependency                                                                                                                      
9d7eb02ea 2023-11-15 Hy Murveit           Bugfix: guide start deviation was not saved properly in esq file.                                                                                     
b0d8db776 2023-11-13 John Evans           Aberration Inspector                                                                                                                                  
646b11a19 2023-11-12 Eric Dejouhanet      CI: add DataViz lib, shift to builder image 0.12.                                                                                                     
75d45b64e 2023-11-11 Hy Murveit           Add a new not-default scheduler option to disable greedy scheduling.                                                                                  
0fe13494f 2023-11-11 Wolfgang Reissenberger Setting target name from mount slew                                                                                                                   
a7b2303f3 2023-11-10 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 2                                                                                               
70d63fb0b 2023-11-09 John Evans           DSLR Focus Movement Bug                                                                                                                               
a5e14795f 2023-11-09 Hy Murveit           Add align logging for some solver failures and clean up error box.                                                                                    
15c5d08df 2023-11-08 Hy Murveit           Fix bug in estimating job time, capture delays were misinterpreted.                                                                                   
fa87b9417 2023-11-08 Hy Murveit           improve the hfr tooltip in fitsviewer                                                                                                                 
86d006547 2023-11-02 Yuri Chornoivan      Fix minor typo                                                                                                                                        
427a641f2 2023-11-01 Wolfgang Reissenberger Bug fix setting the target when reading an .esq file                                                                                                  
cdf527598 2023-11-01 Wolfgang Reissenberger New placeholders for ISO, binning and pure exposure time added.                                                                                       
1732799f0 2023-10-30 Wolfgang Reissenberger Capture target job specific                                                                                                                           
6765a5104 2023-10-30 Jasem Mutlaq         Add HFR to metadata                                                                                                                                   
7301bedde 2023-10-29 Hy Murveit           Switch FITSViewer Solver from Angle to Position Angle (PA).                                                                                           
68c8eb8b6 2023-10-28 Jasem Mutlaq         Send telescope information for FITS header                                                                                                            
f3db4e49b 2023-10-25 Hy Murveit           Refactor header files to include only what is necessary-4                                                                                             
7853caf45 2023-10-25 Brett Gottula        Make "Set Coordinates Manually" dialog more intuitive                                                                                                 
8012f616a 2023-10-25 Hy Murveit           Refactor header files to include only what is necessary-3                                                                                             
4df3da256 2023-10-24 Hy Murveit           Refactor header files to include only what is necessary-2                                                                                             
2f7ec7c1a 2023-10-24 Hy Murveit           Refactor header files to include what is necessary-1                                                                                                  
54d9f1f6f 2023-10-22 Hy Murveit           Add John as developer                                                                                                                                 
430b4d6d4 2023-10-24 Wolfgang Reissenberger Separating Business Logic from UI in Scheduler | step 1                                                                                               
28293212a 2023-10-24 Yuri Chornoivan      Fix minor typo                                                                                                                                        
bcf9478ef 2023-10-24 Jasem Mutlaq         Make camera and scope-lens fields as required                                                                                                         
d07b126fe 2023-10-23 Hy Murveit           Update handbook align pages                                                                                                                           
7baa2b4f5 2023-10-22 Yuri Chornoivan      Fix minor typo, enhance formatting for translations                                                                                                   
1a7e12b9a 2023-10-21 Hy Murveit           fix typo in handbook                                                                                                                                  
a56cdba51 2023-10-21 Yuri Chornoivan      Fix minor typos                                                                                                                                       
4c56f06d8 2023-10-21 Yuri Chornoivan      Fix XML                                                                                                                                               
e575f8f50 2023-10-20 Hy Murveit           Update handbook fitsviewer section and add new fitsviewer solver section.                                                                             
7669ccff9 2023-10-17 John Evans           Focus Analyze Bug                                                                                                                                     
20b2cfe2a 2023-10-15 Jasem Mutlaq         Prevent crash that might occur due to driver restart                                                                                                  
87b19ad68 2023-10-14 Jasem Mutlaq         Double check that camera object exists                                                                                                                
3112260b6 2023-10-13 Jasem Mutlaq         Only list data length not the whole buffer                                                                                                            
2864f9bdb 2023-10-12 Jasem Mutlaq         Fix capture calibration error                                                                                                                         
703825598 2023-10-12 Jasem Mutlaq         Add exclusive group since you cannot select mount GOTO and mount park at the same time                                                                
4dae801b8 2023-10-11 Jasem Mutlaq         Remove flat field source since it does not fit within optical trains model. When a train is selected, we know if dust caps or light sources are avai..
79c17a4d9 2023-10-10 Jasem Mutlaq         Initial work to use calibration pre actions instead of calibration source                                                                             
966abde62 2023-10-12 Hy Murveit           Fitsviewer solver                                                                                                                                     
d88d6a5a0 2023-10-09 Wolfgang Reissenberger Bug fix setting signature when loading capture sequence                                                                                               
b36a78b02 2023-10-08 Jasem Mutlaq         Separate connectSettings from connectSyncSettings when there are different non-sync signals involved                                                  
cfc274ad1 2023-10-08 Jasem Mutlaq         Add separate check for canBin and canSubframe                                                                                                         
36f65073b 2023-10-08 Jasem Mutlaq         Fix issue where a race conditions on delayed properties might lead to undefined capture or transfer formats. Modify canBin and canSubframe to always..
96559537e 2023-10-07 Jasem Mutlaq         Prevent endless capture retries                                                                                                                       
4b7384e85 2023-10-07 Jasem Mutlaq         Do not use system-wide abort which would crash the whole program                                                                                      
f2d8ea4f2 2023-10-07 Wolfgang Reissenberger Job sequence handling refactored                                                                                                                      
1960671b3 2023-10-07 Jasem Mutlaq         Fix observatory icon as proposed by Steven Roger in #253                                                                                              
aa59c63d1 2023-10-06 Eric Dejouhanet      Clarify temperature regulation and where settings are kept.                                                                                           
42300ee5d 2023-10-05 Toni Schriber        Deactivate autodefault property of [Align Option] pushbutton                                                                                          
a5c0639d2 2023-10-05 Toni Schriber        Take care of standard range for PA when creating a sequence job                                                                                       
ea77383a0 2023-10-05 Jasem Mutlaq         3.6.8 development cycle

3.6.7 (OVERLAY):

723c4743f 2023-09-30 Jasem Mutlaq         INDI drivers sync
d39c36d26 2023-09-29 Jasem Mutlaq         Invoke might not work for all parentless objects
17508fd93 2023-09-28 Jasem Mutlaq         Revert "Save flip policy"
b2e5af299 2023-09-28 John Evans           HFR Adj Bug
0d4cff2fc 2023-09-27 Jasem Mutlaq         Save flip policy
37970721f 2023-09-27 Hy Murveit           Fix start_at greedy scheduler simulation
856fb1856 2023-09-26 Wolfgang Reissenberger Fixes for capture state bugs
74d173898 2023-09-26 Hy Murveit           slight fix for start_at jobs in greedy scheduler
02b6b9a31 2023-09-25 Wolfgang Reissenberger Bugfix for new placeholder values
c816e83a9 2023-09-23 Hy Murveit           Add scale and position to failed solve image filename
c11a47bde 2023-09-23 Hy Murveit           Add option to auto-save failed align images.
44e106eb0 2023-09-16 Oliver Kellogg       kstars/kstars.kcfg (group "Align" entry "AstrometryFlipRotationAllowed") : Disambiguate <whatsthis>. https://invent.kde.org/education/kstars/-/commi..
51c12672f 2023-09-16 Jasem Mutlaq         Removing old fix for a QT bug that no longer exists on Windows
ec0746d7b 2023-09-16 Eric Dejouhanet      Bugfix  mount altitude limits
4849e57ce 2023-09-15 Wolfgang Reissenberger Logging capture settings added
3bd6988b7 2023-09-14 Oliver Kellogg       kstars/ekos/align/opsalign.ui : Fix typo in tooltip of radiobutton "FlipRotationNotAllowed".
5d3a9fdd3 2023-09-13 Toni Schriber        Upgrade & refactor rotatorsettings
680dbb457 2023-09-13 Hy Murveit           Improve analyze/adaptive-focus graphics.
8ae81c48e 2023-09-13 Wolfgang Reissenberger Bugfix for state logging
b0b11bb34 2023-09-10 Hy Murveit           Analyze in-progress timeline sessions were not shown when switching to current session
c7f659645 2023-09-10 Hy Murveit           Disable lots of multistar logging.
004f4d95a 2023-09-09 Hy Murveit           Reduce resolution of a few Analyze stats to make them fit better.
1499a832b 2023-09-05 Hy Murveit           Improve job start/end time estimation.
02163ba56 2023-09-06 Hy Murveit           Fix crash
b27e2b313 2023-09-04 Hy Murveit           Improve imageOverlay visibility test, add RectangleOverlap class.
63f61d365 2023-09-02 Philip Mair          Ekos Fokus: Fix temperature not updated after startup
aba6ea9af 2023-09-01 Jasem Mutlaq         Fix compile errors due to changes in placeholder tests
ae9a7fc2f 2023-09-01 Jasem Mutlaq         Remove obsolete code
c2890c018 2023-08-31 Jasem Mutlaq         Fix issue with remote filenames not matching placeholder signature
418726f66 2023-08-30 Wolfgang Reissenberger Ensure exactly one directory separator
f0c36bc0e 2023-08-29 Hy Murveit           Update two gpg parameters that somehow are not the standard defaults.
6d6910146 2023-08-30 Wolfgang Reissenberger Classic algorithm code parts removed from Scheduler
b54a48d64 2023-08-30 Jasem Mutlaq         Add logging to note when we change device time and location from KStars
4491953d7 2023-08-29 Jasem Mutlaq         Add missing sequence file. This should resolve issue with mosaic info not getting saved properly on edit
a1ab2037c 2023-08-27 Wolfgang Reissenberger Bugfix wall source
03ac2ee8b 2023-08-23 Jasem Mutlaq         One more place to prevent rotater from uncommanded motion
2f9792b30 2023-08-22 Wolfgang Reissenberger Refactoring Capture | extracting sequence job handling
f31ea61a8 2023-08-22 Jasem Mutlaq         Fix bug when using offline HIPS source that prevented HIPS settings from getting saved to the configuration file correctly
027898f54 2023-08-21 Hy Murveit           Greedy scheduler may not bump a job started a few seconds ago.
24782190a 2023-08-21 Antoni Bella Pérez   doc: some review
577dec309 2023-08-20 Hy Murveit           Add view menu option and keyboard shortcut for image overlays.
cd028a575 2023-08-20 Hy Murveit           Implement refresh button. Avoid adding to status widget when not in main thread.
ce758d961 2023-08-18 Jasem Mutlaq         Fix rotator going to zero after startup due to signals not blocked properly as they should during startup
569871dac 2023-08-18 Wolfgang Reissenberger Aperture calculation corrected for DSLR lenses
047e68676 2023-08-17 Yuri Chornoivan      Fix minor typos
1303316ac 2023-08-16 Tetsuya Kakura       Fix capture count on Windows
fe874a997 2023-08-10 Hy Murveit           Update tooltips for scheduler steps.
6906f4cd4 2023-08-16 Yuri Chornoivan      Fix minor typos
d0affd0b5 2023-08-15 Hy Murveit           fix i18n bug
35af5ee3f 2023-08-15 Hy Murveit           Add image overlays docbook page.
9dce95eb9 2023-08-15 Hy Murveit           Add i18n to imageOverlay.
cb21bb20b 2023-08-15 Jasem Mutlaq         Simplify. Add button to refresh files (not yet implemented)
f93ab7486 2023-08-15 Hy Murveit           Image Overlay Component.
6dba08055 2023-08-15 Jasem Mutlaq         Fix Active Device
e522b191d 2023-08-14 Wolfgang Reissenberger Refactoring Capture | extracting process steps (continued)
a4432a087 2023-08-14 Jasem Mutlaq         Mosaic tiles now account for focal reducer
d48b03e20 2023-08-14 John Evans           Focus looping reset bug
5cefcc588 2023-08-13 Pino Toscano         Explicitly include fitsdata.h
c4d79967a 2023-08-12 Jasem Mutlaq         Fix too large font size in mosaic
d05688569 2023-08-12 Pino Toscano         Explicitly include fitsdata.h
6d6e8bc36 2023-08-11 Wolfgang Reissenberger New placeholders in placeholder path
fb7dd987b 2023-08-11 Yuri Chornoivan      Fix XML
1cf8fe875 2023-08-10 Antoni Bella Pérez   doc: GUI Sync
340761130 2023-08-06 Jasem Mutlaq         Default align profile should be default
2fddd09c3 2023-08-04 Hy Murveit           Fix handbook link
7422de4d7 2023-08-04 Oliver Kellogg       ekos/align/polaralignmentassistant.cpp (getPAHMessage) : Fix typo in i18n message of case PAH_REFRESH with (pAHRefreshAlgorithm->currentIndex() == P..
e17f98a63 2023-08-02 Yuri Chornoivan      Fix minor typo
08c0ceeb7 2023-08-02 Jasem Mutlaq         Starting KStars v3.6.7 development cycle
5972c874a 2023-08-02 Albert Astals Cid    Fix compilation in some systems
2f581f88c 2023-08-01 Jasem Mutlaq         Fix typo
2f4cddbb1 2023-07-31 Hy Murveit           Update guider section of the handbook
1de8adb48 2023-07-31 Yuri Chornoivan      Fix minor typo

3.6.6 (GREEDY):

d19108b68 2023-07-31 Jasem Mutlaq         Add missing time info
fd9ca7837 2023-07-30 Valentin Boettcher   update default open ngc catalog to the 2023 version
c8711579a 2023-07-30 Hy Murveit           Make analyze filename display fit better
2cbbfba27 2023-07-30 Jasem Mutlaq         When a camera is removed, reset active chip to nullptr. Check if we have a valid active camera and chip in sequence job
e16ec17c0 2023-07-30 Toni Schriber        Change default image format for online astrometry from JPG to FITS
8b365baa2 2023-07-30 Jasem Mutlaq         Dark library should use whatever format selected by the user. Fixes #244
386db7a17 2023-07-30 Jasem Mutlaq         INDI drivers sync
088798eae 2023-07-29 Wolfgang Reissenberger Reporting of captured image corrected
55b3637a0 2023-07-25 Andreas Sturmlechner Drop superfluous definition
85bcddf3e 2023-07-29 Hy Murveit           Analyze/Capture stats were using default StellarSolver values. Now HFRProfiles.
81129ae4f 2023-07-28 Yuri Chornoivan      Fix minor typos
c35758934 2023-07-28 Yuri Chornoivan      Fix minor typo
bf59e1a3a 2023-07-27 John Evans           updated focus section of manual for 3.6.6
af220f3be 2023-07-26 Wolfgang Reissenberger Bug fix clearing guiding graph also on manager tab
1fbb90d62 2023-07-25 Hy Murveit           Fix Analyze i18n inconsistency when writing/reading align & guide states.
5dab3c217 2023-07-25 John Evans           Focus fixes 10
1ae40efe2 2023-07-25 Hy Murveit           Do not let the fontsize for FOV markers get larger than the allotted vertical space.
4af6f49ff 2023-07-23 Wolfgang Reissenberger Bug fix for handling remotely stored images
7acaf6d60 2023-07-22 Jasem Mutlaq         Display reduced focal length and focal ratios
e11d92604 2023-07-22 Jasem Mutlaq         Update DSLR lens range to allow longer focal lengths
8c4d33bb1 2023-07-21 John Evans           BuildFilterOffsets refactor
ee40d388e 2023-07-20 Akarsh Simha         Add DBus methods to query what KStars is currently centered on
368b2b838 2023-07-21 Jasem Mutlaq         Update tooltips to avoid user confusion
57db672c1 2023-07-20 Jasem Mutlaq         Fix crash when closing FITS viewer due to lambda capturing the shared pointer
7ec241953 2023-07-20 Jasem Mutlaq         send overall label
ca0dfd510 2023-07-20 Jasem Mutlaq         Add hasWCS to metadata
eaea6ddd2 2023-07-20 Jasem Mutlaq         Fix crash when multiple instances of FITSViewer is used. Since migrating to QSharedPointer, need to clear the reference when the window is closed an..
39978a612 2023-07-20 Hy Murveit           Fix bug where greedy scheduler would terminate StartAt jobs
a7839dc70 2023-07-18 John Evans           Focus: persist radio button settings
e221f0bb5 2023-07-18 Jasem Mutlaq         Translate PAH messages. Fixes #250
25198770d 2023-07-18 Toni Schriber        Correct permutated name of rotator reverse switch
90d14972b 2023-07-17 Jasem Mutlaq         Fix tab IDs after FITSViewer is destroyed
5467649c4 2023-07-17 Jasem Mutlaq         Cover the whole range of HIPS 0 to 20th order
b6f26355d 2023-07-16 Jasem Mutlaq         Use QSharedPointer for FITSViewer
63b3c2026 2023-07-16 Jasem Mutlaq         Fix MacOS compile issues
2fad01da9 2023-07-16 Jasem Mutlaq         Fix crash when offline hips is not found
3239cf62c 2023-07-16 Jasem Mutlaq         Fix crash when tab is out of bound
c5a5fa2bd 2023-07-16 Jasem Mutlaq         Do not check current order for offline hips
29c010239 2023-07-16 Jasem Mutlaq         HiPS FITS Viewer overlay
725947f68 2023-07-15 Jasem Mutlaq         Fix filter manager crash in case a device was removed and then add again
bfe392c79 2023-07-14 Wolfgang Reissenberger Failed alignment after a meridian flip blocks capturing
9ba62a314 2023-07-14 Jasem Mutlaq         Fix typo
48f165e5b 2023-07-13 Jasem Mutlaq         Migrate FITSTab to QSharedPointer
e3d0d6bf5 2023-07-13 Jasem Mutlaq         Simplify updated signal and add autostretch scriptable toggle
8767c1700 2023-07-13 Jasem Mutlaq         Add a signal on image update
3eaf2d520 2023-07-13 Jasem Mutlaq         Fix warning
295d83d06 2023-07-12 Jasem Mutlaq         Add ability to remote set stretch values
da80c7a45 2023-07-11 Jasem Mutlaq         Explicitly convert to QUrl from String when applicable
c8218e0e6 2023-07-11 Jasem Mutlaq         Make saveScheduler scriptable
4bbbdef52 2023-07-11 Jasem Mutlaq         Process Url for invoke method
1d9a87858 2023-07-09 Yuri Chornoivan      Fix minor typo
acaef0610 2023-07-09 Hy Murveit           Retire classic scheduler algorithm--but keep code for now.
74a9b7907 2023-07-08 Hy Murveit           fix tooltip typo
5721e6103 2023-07-08 Jasem Mutlaq         Fix QSharedPointer semantics
a23ad8fb1 2023-07-08 Jasem Mutlaq         Fix crash
165efa8ef 2023-07-08 Jasem Mutlaq         Remove unnecessary headers
3b7e5ed7f 2023-07-07 Jasem Mutlaq         Use QSharedPointer for DriverInfo
1d8a62e94 2023-07-08 Toni Schriber        Evoke stop state of align module after canceling manual rotator
14147ef71 2023-07-08 Hy Murveit           Allow user to specificy number of consecutive high-guide-deviation frames...
8c97889c0 2023-07-06 Yuri Chornoivan      Fix minor typos
3525b0b4e 2023-07-05 Yuri Chornoivan      Fix minor typos
802f093a9 2023-07-04 Yuri Chornoivan      Remove executable bit
ccbee55ba 2023-07-04 Yuri Chornoivan      Fix minor typos
179c4d0cf 2023-07-04 Yuri Chornoivan      Fix XML
66c111a70 2023-07-04 Hy Murveit           Another finsih-repeat bugfix--re no RememberProgress and job reset.
d9f7e46b0 2023-07-03 Hy Murveit           fix scheduler finish-repeat bug
48523b97b 2023-07-03 Jasem Mutlaq         If there is no focus offset requested then return immediately
829ccaf4b 2023-07-03 Jasem Mutlaq         Fix warning
50f904ee8 2023-07-03 Hy Murveit           Update scheduler handbook section.
9ae7b00dd 2023-07-02 Hy Murveit           Add test for scheduler groups.
1e5747a68 2023-07-02 Hy Murveit           Remove dead code: mosaic.ui mosaic.cpp mosaic.h
7a1be9a4f 2023-07-02 Hy Murveit           Add groups to greedy scheduling
e2a51afab 2023-07-01 John Evans           Fixed bug taking flats when "flats same as lights" option checked
623045502 2023-07-01 Hy Murveit           Fix display bug in previous speedup MR
94c81b812 2023-06-30 Yuri Chornoivan      Fix minor typos
8ac0664a9 2023-06-30 Hy Murveit           Speedup scheduler with large number of jobs
7ccd8b57d 2023-06-30 Jasem Mutlaq         Fix QML warning
18b91a1bb 2023-06-30 Jasem Mutlaq         Update client tab on client terminal
e42566083 2023-06-29 Wolfgang Reissenberger Scheduler option for repeating the entire schedule
05fc60ee7 2023-06-28 Jasem Mutlaq         Set remote drivers field in add profile
cb7ef7ef6 2023-06-27 Wolfgang Reissenberger Refactoring capture module | process extraction
7b9f085ba 2023-06-27 Jasem Mutlaq         Revert "Update to new KF5 standards"
3f6799d1c 2023-06-27 Jasem Mutlaq         Support radio buttons in settings
d23bfe791 2023-06-27 Jasem Mutlaq         Update to new KF5 standards
d69ad255b 2023-06-26 Josep M. Ferrer      Use of https protocol for links instead of http
71d371a42 2023-06-26 Toni Schriber        replace rotator button icon
87fb6fc59 2023-06-26 Jasem Mutlaq         Fix test case
7ca9523aa 2023-06-26 Jasem Mutlaq         Use guide via to avoid confusion
59adda9c0 2023-06-25 Yuri Chornoivan      Fix minor typo
99158d070 2023-06-22 Yuri Chornoivan      Fix minor typos
e117e41e7 2023-06-21 Jasem Mutlaq         Do not hardcode the server URLs
12d9d3819 2023-06-21 Jasem Mutlaq         Add more logging for rotator and do not use pointer in set angle
a32a54542 2023-06-20 Yuri Chornoivan      Fix minor typos
312643c3e 2023-06-19 John Evans           L1PPhase2 Focus Updates to Handbook
d7b314e60 2023-06-19 Jasem Mutlaq         Do not capture after non-guide dither since a camera is not required nor expected
d958ca4a9 2023-06-18 Johnny Jazeix        Simplify includes with using class include instead of module
cddc55888 2023-06-17 Johnny Jazeix        fix Teritary -> Tertiary
355bf52ec 2023-06-16 Jasem Mutlaq         Fix cloud plan id
0f7329c47 2023-06-14 Antoni Bella Pérez   City fixes to her local language
dd01692c6 2023-06-12 Jasem Mutlaq         INDI Drivers sync
